Nous sommes le Dim 15 Déc, 2019 05:56
Supprimer les cookies

Migration Ubuntu 9.04 Pb Lazarus GTK 2

Le choix d'Ubuntu pour mes premiers pas Linux

Mer 01 Juil, 2009 12:20

Ancien utilisateur d'XP, j'utilisais donc delphi assez souvent.

Puis un ras le bol de MS, m'a fait installer Ubuntu 9.04 (jaunty), j'utilisais aussi Lazarus sous
XP.

En revanche j'ai un sérieux problème pour recompiler Lazarus en GTK2 (Erreur : Gtk2pixbuf...), j'aimerais développer sous Lazarus pour faire des GUIs pour les softs n'ayant pas d'interface graphique.

Ou alors y'a t-il un équivalent Lazarus pour d'autres langages de programmation.

Mais bon franchement j'aime bien le Pascal...
------------------------------------------------
Le napalm c'est bon c'est chaud !
------------------------------------------------
Rehzist

Messages : 46

Mer 01 Juil, 2009 12:48

Il y a des paquets Lazarus disponibles sous Synaptics ? Où est le problème ? Tu peux les installer directement...

(je ne connais pas Lazarus, j'ai juste fait une recherche dans Synaptics)

Voir http://doc.ubuntu-fr.org/lazarus (perso, je n'ai pas eu à ajouter de dépôts supplémentaires sous Ubuntu 9.04)
Sous [color=#008000]LinuxMint[/color] (Sarah - Cinnamon 64 bits) (de moins en moins sous Windows XP ou Seven)
serged

Avatar de l’utilisateur
Messages : 1300
Géo : Montrouge (92)

Mer 01 Juil, 2009 13:12

Alors voila je t'explique, installer ça va, l'IDE se lance

Par contre l'interface est "dégueulasse"...

J'ai regardé sur un tuto sur le site d'ubuntu, il y a une procédure pour recompiler le tout en gtk2 afin d'avoir une belle interface (à la gnome).

La procédure à l'aire de fonctionner sur une Ubuntu 8.10 mais pas sous 9.04, ce que j'ai pu comprendre d'ailleurs sous d'autres forum.

cf : message d'erreur gtk2pixbuf

Est ce que il y a quelque chose à bidouiller quelque part ?

j'ai essayé de prendre les paquet sur synaptic, le deb sur le site sourceforge, rien à faire.
------------------------------------------------
Le napalm c'est bon c'est chaud !
------------------------------------------------
Rehzist

Messages : 46

Mer 01 Juil, 2009 14:12

Il faut installer les paquets de developpement qui vont bien.

> cf : message d'erreur gtk2pixbuf

C'est un peu succint comme information pouvant permettre de savoir quel est le problème que tu rencontres.
Attentyon, ponaytte maychante !
Téthis

Avatar de l’utilisateur
Messages : 3895
Géo : De passage chez les cathares

Mer 01 Juil, 2009 20:35

Code: Tout sélectionner
lors voila je t'explique, installer ça va, l'IDE se lance

Par contre l'interface est "dégueulasse"...

J'ai regardé sur un tuto sur le site d'ubuntu, il y a une procédure pour recompiler le tout en gtk2 afin d'avoir une belle interface (à la gnome).



Bonsoir

Compiler des applications n'est pas le meilleur chemin pour conserver la stabilité de son système
Lorsqu'elles sont disponibles sur des dépos c'est toujours préférable de passer par ceux ci

Pour ce qui est de retrouver une belle interface sous gnome c'est plus facile que l'on n'imagine
http://planet.ubuntu-fr.org/tag/Theme
La connaissance s'accroît lorsqu'on la partage
alaingre

Messages : 1192
Géo : http://brenta.free.fr

Mer 01 Juil, 2009 21:54

Un grand merci en tout cas :D

il me reste à voir se qui va se passer sur une machine sans la modif du tuto pour mes appli compilé

Disons qu'en attendant ça permet de travailler, je pense que le problème GTK2 sera réglé un jour.

Sinon admettons que je veux faire autre chose que du pascal... Admettons... Qui utilisais delphi et a fait une conversion réussie sur un autre langage (qui j'insiste était bien ancré sur du Delphi/Kylix ou lazarus)

Et pour le paquet manquant... Bah il est la pourtant...
------------------------------------------------
Le napalm c'est bon c'est chaud !
------------------------------------------------
Rehzist

Messages : 46

Jeu 02 Juil, 2009 07:59

bonjour

Pour ton problème
apt-get install libgtk2.0-dev libgtk1.2-dev libgdk-pixbuf-dev libgpmg1-dev fakeroot libncurses5-dev
(les deux derniers sont pour compiler le svn de lazarus)

Tu as déjà un paquet lazarus mais il n'est peut être pas assez récent.
Vola ce que j'ai fais pour installer le svn de lazarus (en gtk2 par defaut)
http://lazarus-fr.espace-malin.fr/index ... s&Itemid=4
i love vim
limax

Avatar de l’utilisateur
Messages : 474
Géo : grenoble

Qui est en ligne ?

Utilisateur(s) parcourant actuellement ce forum : Aucun utilisateur inscrit